summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorMichael E Brown <michael_e_brown@dell.com>2007-12-10 11:04:20 -0600
committerMichael E Brown <michael_e_brown@dell.com>2007-12-10 11:04:20 -0600
commitce6e26a58c56b7b8e0b770318a6a1469e6937e66 (patch)
tree9237400fa9a3f35d4fe4e3543059b0d3978f8de9 /docs
parentaada35a1281981a361cce99f923f467ddabbeb76 (diff)
downloadmock-ce6e26a58c56b7b8e0b770318a6a1469e6937e66.tar.gz
mock-ce6e26a58c56b7b8e0b770318a6a1469e6937e66.tar.xz
mock-ce6e26a58c56b7b8e0b770318a6a1469e6937e66.zip
add --orphanskill mode. requested by mbonnet for koji.
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/releasetests.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index 8924042..693d12c 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -61,7 +61,7 @@ if [ ! -e mock-unit-test/mock-*.x86_64.rpm ]; then
fi
#
-# Test orphanskill feature
+# Test orphanskill feature (std)
#
if pgrep daemontest; then
echo "Exiting because there is already a daemontest running."
@@ -76,6 +76,21 @@ if pgrep daemontest; then
fi
#
+# Test orphanskill feature (explicit)
+#
+time $MOCKCMD --offline --init
+cp docs/daemontest $CHROOT/tmp
+echo -e "#!/bin/sh\n/tmp/daemontest\nsleep 60\n" >> $CHROOT/tmp/try
+$MOCKCMD --offline --chroot -- /tmp/try &
+kill -9 $!
+$MOCKCMD --offline --orphanskill
+if pgrep daemontest; then
+ echo "Daemontest FAILED. found a daemontest process running after exit."
+ exit 1
+fi
+
+
+#
# test init/clean
#
time $MOCKCMD --offline --clean